An error about using DADA2 in QIIME2

Hi everyone,
I analyzed my pacbio data according to this PR, but an error was happened:

Error in h(simpleError(msg, call)) :
Error: invalid class “SRFilterResult” object: superclass "Mnumeric" no
t defined in the environment of the object's class
stop
Traceback (most recent call last):
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/q2_dada2/_denoise.py", line 361, in denoise_ccs
run_commands([cmd])
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_ccs.R', '/tmp/qiime2-archive- 
lfp8vzbq/8a7c2720-9f47-43a9-ab6c-8049af389817/data', '/tmp/tmpme4si0__/output.tsv.biom', 
'/tmp/tmpme4si0__/track.tsv', '/tmp/tmpme4si0__/nop', '/tmp/tmpme4si0__/filt', 
 'AGRGTTYGATYMTGGCTCAG', 'RGYTACCTTGTTACGACTT', '2', 'False', '0', '0', '2.0', '2', 
 '1000', '1650', 'independent', 'consensus', '3.5', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/q2cli/commands.py", line 329, in __call__
results = action(**arguments)
File "<decorator-gen-518>", line 2, in denoise_ccs
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/qiime2/sdk/action.py", line 244, in bound_callable
outputs = self._callable_executor_(scope, callable_args,
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/qiime2/sdk/action.py", line 390, in _callable_executor_
output_views = self._callable(**view_args)
File "/home/xxx/miniconda3/envs/qiime2-2021.4/lib/python3.8/site- 
packages/q2_dada2/_denoise.py", line 370, in denoise_ccs
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

The QIIME2 version was 2021.4.
Could you please assist? thanks!

Hello @gemii,

I found this issue on GitHub that has the same error, and it looks like it's been fixed in a new version of dada2.

Try installing the the current version of Qiime2, and that should fix this issue.

Let me know how it goes!

Hi @colinbrislawn,
The qiime-2021.11 worked fine! Thanks for your help.

1 Like